class AssetLocation:

	pass

class LocalAssetLocation(AssetLocation):

	def __init__(self):

		self.path = None

	def __repr__(self):
		
		return "local:" + self.path

class RemoteAssetLocation(AssetLocation):

	def __init__(self):

		self.path = None
	
	def __repr__(self):

		return "remote:" + self.path